BDbPreparedTransactionStore (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.store.bdb.BDbPreparedTransactionStore class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.store.bdb
Class BDbPreparedTransactionStore

    java.lang.Object
      org.codehaus.activemq.store.bdb.BDbPreparedTransactionStore

All Implemented Interfaces:
  PreparedTransactionStore, Service

public class BDbPreparedTransactionStore
extends Object
implements PreparedTransactionStore

Version:
  $Revision: 1.2 $

Constructor Summary
`BDbPreparedTransactionStore(com.sleepycat.je.Database database)`

Method Summary
`protected void` | `checkClosed()`
`protected Transaction` | `extractTransaction(com.sleepycat.je.DatabaseEntry entry)`
`protected ActiveMQXid` | `extractXid(com.sleepycat.je.DatabaseEntry entry)`
`ActiveMQXid[]` | `getXids()`
`void` | `loadPreparedTransactions(TransactionManager transactionManager)` Called on recovery to re-load any transactions which have prepared but not yet commited
`void` | `put(ActiveMQXid xid, Transaction transaction)`
`void` | `remove(ActiveMQXid xid)`
`void` | `start()` Called to start the service
`void` | `stop()` Called to shutdown the service

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BDbPreparedTransactionStore

    public BDbPreparedTransactionStore(com.sleepycat.je.Database database)

Method Detail

### getXids

    public ActiveMQXid[] getXids()
                          throws XAException

  Specified by:
    `getXids` in interface `PreparedTransactionStore`
  Throws:
    `XAException`

### remove

    public void remove(ActiveMQXid xid)
                throws XAException

  Specified by:
    `remove` in interface `PreparedTransactionStore`
  Throws:
    `XAException`

### put

    public void put(ActiveMQXid xid,
                    Transaction transaction)
             throws XAException

  Specified by:
    `put` in interface `PreparedTransactionStore`
  Throws:
    `XAException`

### loadPreparedTransactions

    public void loadPreparedTransactions(TransactionManager transactionManager)
                                  throws XAException

  Description copied from interface: `PreparedTransactionStore`
  Called on recovery to re-load any transactions which have prepared but not yet commited

  Specified by:
    `loadPreparedTransactions` in interface `PreparedTransactionStore`
  Parameters:
    `transactionManager` -
  Throws:
    `XAException`

### start

    public void start()
               throws JMSException

  Description copied from interface: `Service`
  Called to start the service

  Specified by:
    `start` in interface `Service`
  Throws:
    `JMSException`

### stop

    public void stop()
              throws JMSException

  Description copied from interface: `Service`
  Called to shutdown the service

  Specified by:
    `stop` in interface `Service`
  Throws:
    `JMSException`

### extractXid

    protected ActiveMQXid extractXid(com.sleepycat.je.DatabaseEntry entry)
                              throws IOException

  Throws:
    `IOException`

### extractTransaction

    protected Transaction extractTransaction(com.sleepycat.je.DatabaseEntry entry)
                                      throws IOException,
                                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### checkClosed

    protected void checkClosed()
                        throws XAException

  Throws:
    `XAException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.